Get domain check status and results

Check the status of an ongoing or completed domain check. This is useful for seeing if a domain is available, its pricing, and other relevant details after a request has been submitted.

Domain Services Domains

Context

Used in the dashboard

/cart/webbhotell/[slug] /cart/en/webbhotell/[slug] /cart /cart/en

Path Parameters

jobId string required Example: check-adr-1767678956038

jobId parameter

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.message string required · Example: Domain check is active

Human-readable message.

data.progress integer required · Example: 20
data.status string · enum required · Example: active
active
prioritized
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

404

No response body

429
error string required · Example: Too Many Requests

HTTP status title (e.g. 'Bad Request').

message string required · Example: Rate limit exceeded. Please try again later.

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

retryAfter string required · Example: 2026-02-10T00:00:00.000Z

When to retry (ISO 8601 timestamp, UTC).

GET https://cloud.hostup.se/api/domain-check/{jobId}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-check/check-adr-1767678956038" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "status": "active",
    "progress": 20,
    "message": "Domain check is active"
  }
}